> ## Documentation Index
> Fetch the complete documentation index at: https://docs.developers.mijnklantportaal.nl/llms.txt
> Use this file to discover all available pages before exploring further.

# Get AI summary of Appointment

> Get the AI summary of an appointment by the appointment ID



## OpenAPI

````yaml /openapi.yaml get /appointments/{appointmentId}/summary
openapi: 3.1.1
info:
  title: MijnKlantportaal API
  version: v1
servers:
  - url: https://api.mijnklantportaal.nl/v1
security:
  - APIKey: []
tags:
  - name: Agreements API
  - name: Appointments API
  - name: Customers API
  - name: Customer Groups API
  - name: Customer Invoices API
  - name: Customer Offers API
  - name: Customer Subscriptions API
  - name: Customer Subscription Packages API
  - name: Files API
  - name: File Request API
  - name: File Share API
  - name: Invoices API
  - name: Me API
  - name: Payment Links API
  - name: Punch Cards API
  - name: Tickets API
  - name: Webhooks API
paths:
  /appointments/{appointmentId}/summary:
    get:
      tags:
        - Appointments API
      summary: Get AI summary of Appointment
      description: Get the AI summary of an appointment by the appointment ID
      operationId: get-appointment-summary
      parameters:
        - name: appointmentId
          in: path
          description: ID of the appointment to return the AI summary for
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Response with the HTML AI summary of the appointment.
          content:
            application/json:
              schema:
                type: object
                properties:
                  htmlSummary:
                    type: string
                    description: HTML string with the AI generated summary of the meeting
        '412':
          description: The AI transcriptor is or was not enabled for this appointment
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
        '425':
          description: The summary is not ready yet. Try again later
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
        '426':
          description: >-
            Appointments or the AI transcriber is not available in the current
            license
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error_ApiError'
components:
  schemas:
    Error_ApiError:
      type: object
      properties:
        message:
          type: string
          description: Explanation what went wrong
  securitySchemes:
    APIKey:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.